/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "glade_options.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

GtkWidget*
create_options_dialog (void)
{
  GtkWidget *options_dialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *expander1;
  GtkWidget *vbox9;
  GtkWidget *hbox9;
  GtkWidget *save_now;
  GtkWidget *alignment2;
  GtkWidget *hbox8;
  GtkWidget *image2;
  GtkWidget *label37;
  GtkWidget *save_quit;
  GtkWidget *read_config;
  GtkWidget *write_config;
  GtkWidget *label38;
  GtkWidget *notebook1;
  GtkWidget *vbox3;
  GtkWidget *table1;
  GtkWidget *scrollbars;
  GtkWidget *fullscreen;
  GtkWidget *menu_bar;
  GtkWidget *status_bar;
  GtkWidget *confirm_quit;
  GtkWidget *resize_win;
  GtkWidget *hbox2;
  GtkWidget *label8;
  GtkObject *delay_cursor_adj;
  GtkWidget *delay_cursor;
  GtkWidget *label9;
  GtkWidget *label1;
  GtkWidget *table2;
  GtkWidget *scale_down;
  GtkWidget *maximize;
  GtkWidget *mipmaps;
  GtkWidget *dithering;
  GtkWidget *one_image;
  GtkWidget *opengl_errors;
  GtkWidget *filtering;
  GtkWidget *label2;
  GtkWidget *vbox7;
  GtkWidget *hbox5;
  GtkWidget *images_menus_startup;
  GtkWidget *images_menus_mnemonics;
  GtkWidget *thumbnails;
  GtkWidget *table5;
  GtkWidget *label26;
  GtkWidget *label27;
  GtkWidget *label25;
  GtkObject *thumbnails_width_adj;
  GtkWidget *thumbnails_width;
  GtkObject *thumbnails_height_adj;
  GtkWidget *thumbnails_height;
  GtkWidget *label24;
  GtkWidget *label3;
  GtkWidget *vbox5;
  GtkWidget *hbox10;
  GtkWidget *zoom_pointer;
  GtkWidget *keep_transfo;
  GtkWidget *hbox11;
  GtkWidget *label42;
  GtkWidget *initlal_position;
  GtkWidget *table4;
  GtkObject *max_fps_adj;
  GtkWidget *max_fps;
  GtkObject *history_length_adj;
  GtkWidget *history_length;
  GtkWidget *label16;
  GtkWidget *label17;
  GtkWidget *label18;
  GtkWidget *label19;
  GtkWidget *label4;
  GtkWidget *vbox6;
  GtkWidget *hbox3;
  GtkWidget *start_slide_show;
  GtkWidget *slide_show_loop;
  GtkWidget *table7;
  GtkWidget *label28;
  GtkWidget *label20;
  GtkObject *slide_show_delay_adj;
  GtkWidget *slide_show_delay;
  GtkWidget *label21;
  GtkWidget *label29;
  GtkObject *notice_time_adj;
  GtkWidget *notice_time;
  GtkWidget *hseparator1;
  GtkWidget *transitions;
  GtkWidget *transition_box;
  GtkWidget *hbox13;
  GtkWidget *label46;
  GtkObject *trans_duration_adj;
  GtkWidget *trans_duration;
  GtkWidget *label47;
  GtkWidget *label48;
  GtkWidget *label5;
  GtkWidget *vbox10;
  GtkWidget *table8;
  GtkWidget *label41;
  GtkWidget *label40;
  GtkWidget *label39;
  GtkWidget *alpha1;
  GtkWidget *alpha2;
  GtkWidget *alpha_checks;
  GtkWidget *background;
  GtkWidget *label6;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton1;
  GtkWidget *okbutton1;

  options_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (options_dialog), _("Options"));
  gtk_window_set_position (GTK_WINDOW (options_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (options_dialog), TRUE);

  dialog_vbox1 = GTK_DIALOG (options_dialog)->vbox;
  gtk_widget_show (dialog_vbox1);

  expander1 = gtk_expander_new (NULL);
  gtk_widget_show (expander1);
  gtk_box_pack_end (GTK_BOX (dialog_vbox1), expander1, TRUE, TRUE, 0);
  gtk_expander_set_spacing (GTK_EXPANDER (expander1), 10);

  vbox9 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox9);
  gtk_container_add (GTK_CONTAINER (expander1), vbox9);

  hbox9 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox9);
  gtk_box_pack_start (GTK_BOX (vbox9), hbox9, TRUE, TRUE, 0);

  save_now = gtk_button_new ();
  gtk_widget_show (save_now);
  gtk_box_pack_start (GTK_BOX (hbox9), save_now, TRUE, FALSE, 0);

  alignment2 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment2);
  gtk_container_add (GTK_CONTAINER (save_now), alignment2);

  hbox8 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox8);
  gtk_container_add (GTK_CONTAINER (alignment2), hbox8);

  image2 = gtk_image_new_from_stock ("gtk-save", GTK_ICON_SIZE_BUTTON);
  gtk_widget_show (image2);
  gtk_box_pack_start (GTK_BOX (hbox8), image2, FALSE, FALSE, 0);

  label37 = gtk_label_new_with_mnemonic (_("Save options now"));
  gtk_widget_show (label37);
  gtk_box_pack_start (GTK_BOX (hbox8), label37, TRUE, TRUE, 0);

  save_quit = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Save options when quitting")));
  add_check_button(save_quit, OPTION_SAVE_QUIT);
  gtk_widget_show (save_quit);
  gtk_box_pack_start (GTK_BOX (hbox9), save_quit, TRUE, TRUE, 0);

  read_config = gtk_label_new ("");
  gtk_widget_show (read_config);
  gtk_box_pack_start (GTK_BOX (vbox9), read_config, TRUE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (read_config), 0, 5);

  write_config = gtk_label_new ("");
  gtk_widget_show (write_config);
  gtk_box_pack_start (GTK_BOX (vbox9), write_config, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (write_config), 0, 5);

  label38 = gtk_label_new (_("Configuration file"));
  gtk_widget_show (label38);
  gtk_expander_set_label_widget (GTK_EXPANDER (expander1), label38);
  gtk_label_set_justify (GTK_LABEL (label38), GTK_JUSTIFY_CENTER);

  notebook1 = gtk_notebook_new ();
  gtk_widget_show (notebook1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), notebook1, TRUE, TRUE, 0);
  gtk_notebook_set_scrollable (GTK_NOTEBOOK (notebook1), TRUE);
  gtk_notebook_popup_enable (GTK_NOTEBOOK (notebook1));

  vbox3 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox3);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox3);
  reset_mnemonics();
  gtk_notebook_set_tab_label_packing (GTK_NOTEBOOK (notebook1), vbox3,
                                      TRUE, TRUE, GTK_PACK_START);

  table1 = gtk_table_new (3, 2, TRUE);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (vbox3), table1, TRUE, TRUE, 0);

  scrollbars = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Scrollbars enabled")));
  add_check_button(scrollbars, OPTION_SCROLLBARS);
  gtk_widget_show (scrollbars);
  gtk_table_attach (GTK_TABLE (table1), scrollbars, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  fullscreen = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Fullscreen mode")));
  add_check_button(fullscreen, OPTION_FULLSCREEN);
  gtk_widget_show (fullscreen);
  gtk_table_attach (GTK_TABLE (table1), fullscreen, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  menu_bar = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Menu bar enabled")));
  add_check_button(menu_bar, OPTION_MENU_BAR);
  gtk_widget_show (menu_bar);
  gtk_table_attach (GTK_TABLE (table1), menu_bar, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  status_bar = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Status bar enabled")));
  add_check_button(status_bar, OPTION_STATUS_BAR);
  gtk_widget_show (status_bar);
  gtk_table_attach (GTK_TABLE (table1), status_bar, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  confirm_quit = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Confirm before quitting")));
  add_check_button(confirm_quit, OPTION_CONFIRM_QUIT);
  gtk_widget_show (confirm_quit);
  gtk_table_attach (GTK_TABLE (table1), confirm_quit, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  resize_win = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Automatic window resizing")));
  add_check_button(resize_win, OPTION_RESIZE_WIN);
  gtk_widget_show (resize_win);
  gtk_table_attach (GTK_TABLE (table1), resize_win, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox2, TRUE, TRUE, 0);

  label8 = gtk_label_new (_("Delay before hiding the cursor\n0: feature disabled"));
  gtk_widget_show (label8);
  gtk_box_pack_start (GTK_BOX (hbox2), label8, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label8), GTK_JUSTIFY_RIGHT);

  delay_cursor_adj = gtk_adjustment_new (1, 0, 1000000000, 1, 10, 0);
  delay_cursor = gtk_spin_button_new (GTK_ADJUSTMENT (delay_cursor_adj), 1, 0);
  add_spin_button(delay_cursor, OPTION_DELAY_CURSOR);
  gtk_widget_show (delay_cursor);
  gtk_box_pack_start (GTK_BOX (hbox2), delay_cursor, TRUE, TRUE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (delay_cursor), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (delay_cursor), GTK_UPDATE_IF_VALID);

  label9 = gtk_label_new (_("milliseconds"));
  gtk_widget_show (label9);
  gtk_box_pack_start (GTK_BOX (hbox2), label9, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label9), GTK_JUSTIFY_CENTER);

  label1 = gtk_label_new (_("Interface"));
  gtk_widget_show (label1);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 0), label1);

  table2 = gtk_table_new (4, 2, FALSE);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (notebook1), table2);
  reset_mnemonics();
  gtk_notebook_set_tab_label_packing (GTK_NOTEBOOK (notebook1), table2,
                                      TRUE, TRUE, GTK_PACK_START);

  scale_down = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Scale down large images")));
  add_check_button(scale_down, OPTION_SCALE_DOWN);
  gtk_widget_show (scale_down);
  gtk_table_attach (GTK_TABLE (table2), scale_down, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  maximize = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Maximize small images")));
  add_check_button(maximize, OPTION_MAXIMIZE);
  gtk_widget_show (maximize);
  gtk_table_attach (GTK_TABLE (table2), maximize, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  mipmaps = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Build mipmaps")));
  add_check_button(mipmaps, OPTION_MIPMAPS);
  gtk_widget_show (mipmaps);
  gtk_table_attach (GTK_TABLE (table2), mipmaps, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  dithering = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Dithering")));
  add_check_button(dithering, OPTION_DITHERING);
  gtk_widget_show (dithering);
  gtk_table_attach (GTK_TABLE (table2), dithering, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  one_image = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Keep only one image in memory")));
  add_check_button(one_image, OPTION_ONE_IMAGE);
  gtk_widget_show (one_image);
  gtk_table_attach (GTK_TABLE (table2), one_image, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  opengl_errors = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Check for OpenGL errors")));
  add_check_button(opengl_errors, OPTION_OPENGL_ERRORS);
  gtk_widget_show (opengl_errors);
  gtk_table_attach (GTK_TABLE (table2), opengl_errors, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  filtering = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Enable OpenGL filtering")));
  add_check_button(filtering, OPTION_FILTERING);
  gtk_widget_show (filtering);
  gtk_table_attach (GTK_TABLE (table2), filtering, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  label2 = gtk_label_new (_("Images"));
  gtk_widget_show (label2);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 1), label2);

  vbox7 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox7);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox7);
  reset_mnemonics();

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox7), hbox5, TRUE, TRUE, 0);

  images_menus_startup = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Build images menus at startup")));
  add_check_button(images_menus_startup, OPTION_IMAGES_MENUS_STARTUP);
  gtk_widget_show (images_menus_startup);
  gtk_box_pack_start (GTK_BOX (hbox5), images_menus_startup, TRUE, TRUE, 0);

  images_menus_mnemonics = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Make mnemonics for images menus")));
  add_check_button(images_menus_mnemonics, OPTION_IMAGES_MENUS_MNEMONICS);
  gtk_widget_show (images_menus_mnemonics);
  gtk_box_pack_start (GTK_BOX (hbox5), images_menus_mnemonics, TRUE, TRUE, 0);

  thumbnails = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Show thumbnails in images menus")));
  add_check_button(thumbnails, OPTION_THUMBNAILS);
  gtk_widget_show (thumbnails);
  gtk_box_pack_start (GTK_BOX (vbox7), thumbnails, TRUE, TRUE, 0);

  table5 = gtk_table_new (2, 3, FALSE);
  gtk_widget_show (table5);
  gtk_box_pack_start (GTK_BOX (vbox7), table5, TRUE, TRUE, 0);

  label26 = gtk_label_new (_("pixels"));
  gtk_widget_show (label26);
  gtk_table_attach (GTK_TABLE (table5), label26, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label26), GTK_JUSTIFY_CENTER);
  gtk_misc_set_alignment (GTK_MISC (label26), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label26), 10, 0);

  label27 = gtk_label_new (_("pixels"));
  gtk_widget_show (label27);
  gtk_table_attach (GTK_TABLE (table5), label27, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label27), GTK_JUSTIFY_CENTER);
  gtk_misc_set_alignment (GTK_MISC (label27), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label27), 10, 0);

  label25 = gtk_label_new (_("Thumbnail height"));
  gtk_widget_show (label25);
  gtk_table_attach (GTK_TABLE (table5), label25, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label25), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label25), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label25), 10, 0);

  thumbnails_width_adj = gtk_adjustment_new (1, 1, 1000000000, 1, 10, 0);
  thumbnails_width = gtk_spin_button_new (GTK_ADJUSTMENT (thumbnails_width_adj), 1, 0);
  add_spin_button(thumbnails_width, OPTION_THUMBNAILS_WIDTH);
  gtk_widget_show (thumbnails_width);
  gtk_table_attach (GTK_TABLE (table5), thumbnails_width, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (thumbnails_width), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (thumbnails_width), GTK_UPDATE_IF_VALID);

  thumbnails_height_adj = gtk_adjustment_new (1, 1, 1000000000, 1, 10, 0);
  thumbnails_height = gtk_spin_button_new (GTK_ADJUSTMENT (thumbnails_height_adj), 1, 0);
  add_spin_button(thumbnails_height, OPTION_THUMBNAILS_HEIGHT);
  gtk_widget_show (thumbnails_height);
  gtk_table_attach (GTK_TABLE (table5), thumbnails_height, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (thumbnails_height), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (thumbnails_height), GTK_UPDATE_IF_VALID);

  label24 = gtk_label_new (_("Thumbnail width"));
  gtk_widget_show (label24);
  gtk_table_attach (GTK_TABLE (table5), label24, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label24), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label24), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label24), 10, 0);

  label3 = gtk_label_new (_("Images menus"));
  gtk_widget_show (label3);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 2), label3);

  vbox5 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox5);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox5);
  reset_mnemonics();
  gtk_notebook_set_tab_label_packing (GTK_NOTEBOOK (notebook1), vbox5,
                                      TRUE, TRUE, GTK_PACK_START);

  hbox10 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox10);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox10, TRUE, TRUE, 0);

  zoom_pointer = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Zoom centered on pointer")));
  add_check_button(zoom_pointer, OPTION_ZOOM_POINTER);
  gtk_widget_show (zoom_pointer);
  gtk_box_pack_start (GTK_BOX (hbox10), zoom_pointer, TRUE, TRUE, 0);

  keep_transfo = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Keep transformations when switching images")));
  add_check_button(keep_transfo, OPTION_KEEP_TRANSFO);
  gtk_widget_show (keep_transfo);
  gtk_box_pack_start (GTK_BOX (hbox10), keep_transfo, TRUE, TRUE, 0);

  hbox11 = gtk_hbox_new (FALSE, 10);
  gtk_widget_show (hbox11);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox11, TRUE, FALSE, 0);

  label42 = gtk_label_new (_("Initial image position"));
  gtk_widget_show (label42);
  gtk_box_pack_start (GTK_BOX (hbox11), label42, FALSE, FALSE, 10);

  initlal_position = gtk_combo_box_new_text ();
  gtk_widget_show (initlal_position);
  gtk_box_pack_start (GTK_BOX (hbox11), initlal_position, TRUE, TRUE, 10);
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Center"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Top left"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Top right"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Bottom left"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Bottom right"));
  gtk_combo_box_append_text (GTK_COMBO_BOX (initlal_position), _("Same as previous"));
  gtk_combo_box_set_add_tearoffs (GTK_COMBO_BOX (initlal_position), TRUE);

  table4 = gtk_table_new (2, 3, FALSE);
  gtk_widget_show (table4);
  gtk_box_pack_start (GTK_BOX (vbox5), table4, TRUE, TRUE, 0);

  max_fps_adj = gtk_adjustment_new (1, -1, 1000000000, 1, 10, 0);
  max_fps = gtk_spin_button_new (GTK_ADJUSTMENT (max_fps_adj), 1, 0);
  add_spin_button(max_fps, OPTION_MAX_FPS);
  gtk_widget_show (max_fps);
  gtk_table_attach (GTK_TABLE (table4), max_fps, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (max_fps), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (max_fps), GTK_UPDATE_IF_VALID);

  history_length_adj = gtk_adjustment_new (1, -1, 1000000000, 1, 10, 0);
  history_length = gtk_spin_button_new (GTK_ADJUSTMENT (history_length_adj), 1, 0);
  add_spin_button(history_length, OPTION_HISTORY_LENGTH);
  gtk_widget_show (history_length);
  gtk_table_attach (GTK_TABLE (table4), history_length, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (history_length), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (history_length), GTK_UPDATE_IF_VALID);

  label16 = gtk_label_new (_("History length\n0: feature disabled\n-1: infinite"));
  gtk_widget_show (label16);
  gtk_table_attach (GTK_TABLE (table4), label16, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label16), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_padding (GTK_MISC (label16), 10, 0);

  label17 = gtk_label_new (_("Maximum framerate\n-1: infinite"));
  gtk_widget_show (label17);
  gtk_table_attach (GTK_TABLE (table4), label17, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label17), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_padding (GTK_MISC (label17), 10, 0);

  label18 = gtk_label_new (_("elements"));
  gtk_widget_show (label18);
  gtk_table_attach (GTK_TABLE (table4), label18, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label18), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label18), 10, 0);

  label19 = gtk_label_new (_("fps"));
  gtk_widget_show (label19);
  gtk_table_attach (GTK_TABLE (table4), label19, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label19), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label19), 10, 0);

  label4 = gtk_label_new (_("Transformations"));
  gtk_widget_show (label4);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 3), label4);

  vbox6 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox6);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox6);
  reset_mnemonics();
  gtk_notebook_set_tab_label_packing (GTK_NOTEBOOK (notebook1), vbox6,
                                      TRUE, TRUE, GTK_PACK_START);

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox6), hbox3, TRUE, TRUE, 5);

  start_slide_show = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Start with the slide show")));
  add_check_button(start_slide_show, OPTION_START_SLIDE_SHOW);
  gtk_widget_show (start_slide_show);
  gtk_box_pack_start (GTK_BOX (hbox3), start_slide_show, TRUE, TRUE, 0);

  slide_show_loop = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Make the slide show loop")));
  add_check_button(slide_show_loop, OPTION_SLIDE_SHOW_LOOP);
  gtk_widget_show (slide_show_loop);
  gtk_box_pack_start (GTK_BOX (hbox3), slide_show_loop, TRUE, TRUE, 0);

  table7 = gtk_table_new (2, 3, FALSE);
  gtk_widget_show (table7);
  gtk_box_pack_start (GTK_BOX (vbox6), table7, TRUE, TRUE, 0);

  label28 = gtk_label_new (_("Last/First image notice time"));
  gtk_widget_show (label28);
  gtk_table_attach (GTK_TABLE (table7), label28, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_misc_set_padding (GTK_MISC (label28), 10, 0);

  label20 = gtk_label_new (_("Delay between images during the slide show"));
  gtk_widget_show (label20);
  gtk_table_attach (GTK_TABLE (table7), label20, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_misc_set_padding (GTK_MISC (label20), 10, 0);

  slide_show_delay_adj = gtk_adjustment_new (1, 0, 1000000000, 1, 10, 0);
  slide_show_delay = gtk_spin_button_new (GTK_ADJUSTMENT (slide_show_delay_adj), 1, 0);
  add_spin_button(slide_show_delay, OPTION_SLIDE_SHOW_DELAY);
  gtk_widget_show (slide_show_delay);
  gtk_table_attach (GTK_TABLE (table7), slide_show_delay, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (slide_show_delay), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (slide_show_delay), GTK_UPDATE_IF_VALID);

  label21 = gtk_label_new (_("seconds"));
  gtk_widget_show (label21);
  gtk_table_attach (GTK_TABLE (table7), label21, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_misc_set_padding (GTK_MISC (label21), 10, 0);

  label29 = gtk_label_new (_("milliseconds"));
  gtk_widget_show (label29);
  gtk_table_attach (GTK_TABLE (table7), label29, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_misc_set_padding (GTK_MISC (label29), 10, 0);

  notice_time_adj = gtk_adjustment_new (1, 0, 1000000000, 1, 10, 0);
  notice_time = gtk_spin_button_new (GTK_ADJUSTMENT (notice_time_adj), 1, 0);
  add_spin_button(notice_time, OPTION_NOTICE_TIME);
  gtk_widget_show (notice_time);
  gtk_table_attach (GTK_TABLE (table7), notice_time, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 5);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (notice_time), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (notice_time), GTK_UPDATE_IF_VALID);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox6), hseparator1, TRUE, TRUE, 0);

  transitions = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Enable transitions between images")));
  add_check_button(transitions, OPTION_TRANSITIONS);
  gtk_widget_show (transitions);
  gtk_box_pack_start (GTK_BOX (vbox6), transitions, TRUE, TRUE, 5);

  transition_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (transition_box);
  gtk_box_pack_start (GTK_BOX (vbox6), transition_box, TRUE, TRUE, 0);

  hbox13 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox13);
  gtk_box_pack_start (GTK_BOX (transition_box), hbox13, TRUE, TRUE, 0);

  label46 = gtk_label_new (_("Transition duration"));
  gtk_widget_show (label46);
  gtk_box_pack_start (GTK_BOX (hbox13), label46, TRUE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (label46), 10, 0);

  trans_duration_adj = gtk_adjustment_new (1, 0, 1000000000, 1, 10, 0);
  trans_duration = gtk_spin_button_new (GTK_ADJUSTMENT (trans_duration_adj), 1, 0);
  add_spin_button(trans_duration, OPTION_TRANS_DURATION);
  gtk_widget_show (trans_duration);
  gtk_box_pack_start (GTK_BOX (hbox13), trans_duration, TRUE, TRUE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (trans_duration), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (trans_duration), GTK_UPDATE_IF_VALID);

  label47 = gtk_label_new (_("milliseconds"));
  gtk_widget_show (label47);
  gtk_box_pack_start (GTK_BOX (hbox13), label47, TRUE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (label47), 10, 0);

  label48 = gtk_label_new (_("Transitions obey the maximum framerate parameter in the Transformations tab"));
  gtk_widget_show (label48);
  gtk_box_pack_start (GTK_BOX (transition_box), label48, TRUE, TRUE, 0);
  gtk_misc_set_padding (GTK_MISC (label48), 10, 0);

  label5 = gtk_label_new (_("Slide show"));
  gtk_widget_show (label5);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 4), label5);

  vbox10 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox10);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox10);
  reset_mnemonics();

  table8 = gtk_table_new (4, 2, FALSE);
  gtk_widget_show (table8);
  gtk_box_pack_start (GTK_BOX (vbox10), table8, TRUE, TRUE, 0);

  label41 = gtk_label_new (_("Alpha 2"));
  gtk_widget_show (label41);
  gtk_table_attach (GTK_TABLE (table8), label41, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label41), 0, 0.5);

  label40 = gtk_label_new (_("Alpha 1"));
  gtk_widget_show (label40);
  gtk_table_attach (GTK_TABLE (table8), label40, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label40), 0, 0.5);

  label39 = gtk_label_new (_("Background"));
  gtk_widget_show (label39);
  gtk_table_attach (GTK_TABLE (table8), label39, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label39), 0, 0.5);

  alpha1 = gtk_color_button_new ();
  add_color_button(alpha1, OPTION_ALPHA1);
  gtk_widget_show (alpha1);
  gtk_table_attach (GTK_TABLE (table8), alpha1, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK), 0, 0);

  alpha2 = gtk_color_button_new ();
  add_color_button(alpha2, OPTION_ALPHA2);
  gtk_widget_show (alpha2);
  gtk_table_attach (GTK_TABLE (table8), alpha2, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK), 0, 0);

  alpha_checks = gtk_check_button_new_with_mnemonic (add_mnemonic(_("Alpha checks")));
  add_check_button(alpha_checks, OPTION_ALPHA_CHECKS);
  gtk_widget_show (alpha_checks);
  gtk_table_attach (GTK_TABLE (table8), alpha_checks, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK | GTK_FILL), 0, 0);

  background = gtk_color_button_new ();
  add_color_button(background, OPTION_BACKGROUND);
  gtk_widget_show (background);
  gtk_table_attach (GTK_TABLE (table8), background, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_SHRINK), 0, 0);

  label6 = gtk_label_new (_("Background"));
  gtk_widget_show (label6);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 5), label6);

  dialog_action_area1 = GTK_DIALOG (options_dialog)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);

  cancelbutton1 = gtk_button_new_from_stock ("gtk-cancel");
  gtk_widget_show (cancelbutton1);
  gtk_dialog_add_action_widget (GTK_DIALOG (options_dialog), cancelbutton1, GTK_RESPONSE_CANCEL);
  GTK_WIDGET_SET_FLAGS (cancelbutton1, GTK_CAN_DEFAULT);

  okbutton1 = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (okbutton1);
  gtk_dialog_add_action_widget (GTK_DIALOG (options_dialog), okbutton1, GTK_RESPONSE_OK);
  GTK_WIDGET_SET_FLAGS (okbutton1, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) save_now, "clicked",
                    G_CALLBACK (on_save_now_clicked),
                    NULL);
  g_signal_connect ((gpointer) read_config, "realize",
                    G_CALLBACK (on_read_config_realize),
                    NULL);
  g_signal_connect ((gpointer) write_config, "realize",
                    G_CALLBACK (on_write_config_realize),
                    NULL);
  g_signal_connect ((gpointer) initlal_position, "realize",
                    G_CALLBACK (on_initial_position_realize),
                    NULL);
  g_signal_connect ((gpointer) initlal_position, "changed",
                    G_CALLBACK (on_initial_position_changed),
                    NULL);
  g_signal_connect_data ((gpointer) transitions, "toggled",
                         G_CALLBACK (on_transitions_toggled),
                         GTK_OBJECT (transition_box),
                         NULL, G_CONNECT_AFTER | G_CONNECT_SWAPPED);
  g_signal_connect_after ((gpointer) transition_box, "realize",
                          G_CALLBACK (on_transition_box_realize),
                          NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (options_dialog, options_dialog, "options_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (options_dialog, dialog_vbox1, "dialog_vbox1");
  GLADE_HOOKUP_OBJECT (options_dialog, expander1, "expander1");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox9, "vbox9");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox9, "hbox9");
  GLADE_HOOKUP_OBJECT (options_dialog, save_now, "save_now");
  GLADE_HOOKUP_OBJECT (options_dialog, alignment2, "alignment2");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox8, "hbox8");
  GLADE_HOOKUP_OBJECT (options_dialog, image2, "image2");
  GLADE_HOOKUP_OBJECT (options_dialog, label37, "label37");
  GLADE_HOOKUP_OBJECT (options_dialog, save_quit, "save_quit");
  GLADE_HOOKUP_OBJECT (options_dialog, read_config, "read_config");
  GLADE_HOOKUP_OBJECT (options_dialog, write_config, "write_config");
  GLADE_HOOKUP_OBJECT (options_dialog, label38, "label38");
  GLADE_HOOKUP_OBJECT (options_dialog, notebook1, "notebook1");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox3, "vbox3");
  GLADE_HOOKUP_OBJECT (options_dialog, table1, "table1");
  GLADE_HOOKUP_OBJECT (options_dialog, scrollbars, "scrollbars");
  GLADE_HOOKUP_OBJECT (options_dialog, fullscreen, "fullscreen");
  GLADE_HOOKUP_OBJECT (options_dialog, menu_bar, "menu_bar");
  GLADE_HOOKUP_OBJECT (options_dialog, status_bar, "status_bar");
  GLADE_HOOKUP_OBJECT (options_dialog, confirm_quit, "confirm_quit");
  GLADE_HOOKUP_OBJECT (options_dialog, resize_win, "resize_win");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox2, "hbox2");
  GLADE_HOOKUP_OBJECT (options_dialog, label8, "label8");
  GLADE_HOOKUP_OBJECT (options_dialog, delay_cursor, "delay_cursor");
  GLADE_HOOKUP_OBJECT (options_dialog, label9, "label9");
  GLADE_HOOKUP_OBJECT (options_dialog, label1, "label1");
  GLADE_HOOKUP_OBJECT (options_dialog, table2, "table2");
  GLADE_HOOKUP_OBJECT (options_dialog, scale_down, "scale_down");
  GLADE_HOOKUP_OBJECT (options_dialog, maximize, "maximize");
  GLADE_HOOKUP_OBJECT (options_dialog, mipmaps, "mipmaps");
  GLADE_HOOKUP_OBJECT (options_dialog, dithering, "dithering");
  GLADE_HOOKUP_OBJECT (options_dialog, one_image, "one_image");
  GLADE_HOOKUP_OBJECT (options_dialog, opengl_errors, "opengl_errors");
  GLADE_HOOKUP_OBJECT (options_dialog, filtering, "filtering");
  GLADE_HOOKUP_OBJECT (options_dialog, label2, "label2");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox7, "vbox7");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (options_dialog, images_menus_startup, "images_menus_startup");
  GLADE_HOOKUP_OBJECT (options_dialog, images_menus_mnemonics, "images_menus_mnemonics");
  GLADE_HOOKUP_OBJECT (options_dialog, thumbnails, "thumbnails");
  GLADE_HOOKUP_OBJECT (options_dialog, table5, "table5");
  GLADE_HOOKUP_OBJECT (options_dialog, label26, "label26");
  GLADE_HOOKUP_OBJECT (options_dialog, label27, "label27");
  GLADE_HOOKUP_OBJECT (options_dialog, label25, "label25");
  GLADE_HOOKUP_OBJECT (options_dialog, thumbnails_width, "thumbnails_width");
  GLADE_HOOKUP_OBJECT (options_dialog, thumbnails_height, "thumbnails_height");
  GLADE_HOOKUP_OBJECT (options_dialog, label24, "label24");
  GLADE_HOOKUP_OBJECT (options_dialog, label3, "label3");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox5, "vbox5");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox10, "hbox10");
  GLADE_HOOKUP_OBJECT (options_dialog, zoom_pointer, "zoom_pointer");
  GLADE_HOOKUP_OBJECT (options_dialog, keep_transfo, "keep_transfo");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox11, "hbox11");
  GLADE_HOOKUP_OBJECT (options_dialog, label42, "label42");
  GLADE_HOOKUP_OBJECT (options_dialog, initlal_position, "initlal_position");
  GLADE_HOOKUP_OBJECT (options_dialog, table4, "table4");
  GLADE_HOOKUP_OBJECT (options_dialog, max_fps, "max_fps");
  GLADE_HOOKUP_OBJECT (options_dialog, history_length, "history_length");
  GLADE_HOOKUP_OBJECT (options_dialog, label16, "label16");
  GLADE_HOOKUP_OBJECT (options_dialog, label17, "label17");
  GLADE_HOOKUP_OBJECT (options_dialog, label18, "label18");
  GLADE_HOOKUP_OBJECT (options_dialog, label19, "label19");
  GLADE_HOOKUP_OBJECT (options_dialog, label4, "label4");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox6, "vbox6");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (options_dialog, start_slide_show, "start_slide_show");
  GLADE_HOOKUP_OBJECT (options_dialog, slide_show_loop, "slide_show_loop");
  GLADE_HOOKUP_OBJECT (options_dialog, table7, "table7");
  GLADE_HOOKUP_OBJECT (options_dialog, label28, "label28");
  GLADE_HOOKUP_OBJECT (options_dialog, label20, "label20");
  GLADE_HOOKUP_OBJECT (options_dialog, slide_show_delay, "slide_show_delay");
  GLADE_HOOKUP_OBJECT (options_dialog, label21, "label21");
  GLADE_HOOKUP_OBJECT (options_dialog, label29, "label29");
  GLADE_HOOKUP_OBJECT (options_dialog, notice_time, "notice_time");
  GLADE_HOOKUP_OBJECT (options_dialog, hseparator1, "hseparator1");
  GLADE_HOOKUP_OBJECT (options_dialog, transitions, "transitions");
  GLADE_HOOKUP_OBJECT (options_dialog, transition_box, "transition_box");
  GLADE_HOOKUP_OBJECT (options_dialog, hbox13, "hbox13");
  GLADE_HOOKUP_OBJECT (options_dialog, label46, "label46");
  GLADE_HOOKUP_OBJECT (options_dialog, trans_duration, "trans_duration");
  GLADE_HOOKUP_OBJECT (options_dialog, label47, "label47");
  GLADE_HOOKUP_OBJECT (options_dialog, label48, "label48");
  GLADE_HOOKUP_OBJECT (options_dialog, label5, "label5");
  GLADE_HOOKUP_OBJECT (options_dialog, vbox10, "vbox10");
  GLADE_HOOKUP_OBJECT (options_dialog, table8, "table8");
  GLADE_HOOKUP_OBJECT (options_dialog, label41, "label41");
  GLADE_HOOKUP_OBJECT (options_dialog, label40, "label40");
  GLADE_HOOKUP_OBJECT (options_dialog, label39, "label39");
  GLADE_HOOKUP_OBJECT (options_dialog, alpha1, "alpha1");
  GLADE_HOOKUP_OBJECT (options_dialog, alpha2, "alpha2");
  GLADE_HOOKUP_OBJECT (options_dialog, alpha_checks, "alpha_checks");
  GLADE_HOOKUP_OBJECT (options_dialog, background, "background");
  GLADE_HOOKUP_OBJECT (options_dialog, label6, "label6");
  GLADE_HOOKUP_OBJECT_NO_REF (options_dialog, dialog_action_area1, "dialog_action_area1");
  GLADE_HOOKUP_OBJECT (options_dialog, cancelbutton1, "cancelbutton1");
  GLADE_HOOKUP_OBJECT (options_dialog, okbutton1, "okbutton1");

  gtk_widget_grab_focus (okbutton1);
  gtk_widget_grab_default (okbutton1);
  return options_dialog;
}

